Databases supported

Important

To get complete compatibility information for BDA, use the BMC Solution and Product Availability and Compatibility Utility on the Product Availability and Compatibility page.

The BMC Database Automation (BDA) solution supports the following database types:

Tip

Press F to view the tables in a full screen mode. An remove in a table cell indicates support for the OS corresponding to the database version in that row. An remove with a parentheses indicates support with stipulations or limitations.

MySQL

BDA supports the following MySQL versions:

MySQL versionRHEL 5RHEL 6RHEL 7

5.1.591

remove

  

5.5.16

removeremove 
5.5.20removeremove 

5.6

removeremoveremove
5.7removeremoveremove

Discontinued support from BDA version 8.9.02

MySQL can be discovered as a custom application (instance and databases), and MySQL Actions can be performed for:

  • Provision Instance and Create Database
  • Upgrade
  • Start Instance
  • Stop Instance

The Guide to BMC Database Automation MySQL Support contains information on configuring your BDA environment to discover MySQL instances, as well as the MySQL related activities that can be performed using BDA.

DB2

The following DB2 versions are supported:

DB2 versionRHEL 4RHEL 5RHEL 6RHEL 7RHEL 7.1IBM AIX 6.1IBM AIX 7.1IBM AIX 7.2
11.1 (Enterprise Edition)    

remove

 

remove

remove
10.5 (Enterprise Server Edition and Advanced Enterprise Server Editions) removeremove   remove removeremove

10.1 (Enterprise Edition)

 removeremove  remove 

10.1 (Advanced Enterprise Edition)

 removeremove  remove 

9.7 (Enterprise Edition)

 removeremove  remove 
9.7 3a (Advanced Enterprise Edition) removeremove  remove 
9.5 (Enterprise Edition)removeremove  remove 

Note

  • *Discontinued support from BDA version 8.9.02
  • BDA does not support DB2 database partitioning.
  • For DB2 patching, Universal fixpacks are supported, but not edition-specific patches.
  • In BDA 8.9, direct BDA provisioning of DB2 10.5 fixpacks 6 and 7 is supported.

Microsoft SQL Server

Prerequisites

The following prerequisites are required for installing Microsoft SQL Server:

  • For SQL Server 2008 and 2008 R2 on Windows 2012:
    • You must install SP3 after installing SQL Server 2008 on Windows 2012.
    • You must install SP1 after installing SQL Server 2008 R2 on Windows 2012.
  • For SQL Server 2008 on Windows 2008 R2:
    • Clustered installations: You must install SQL Server 2008 together with SQL Server 2008 Service Pack 1 or a later update (this is also referred to as a slipstreamed version).
    • Non-clustered installations: You must install SQL Server 2008, followed by SQL Server 2008 Service Pack 1 or later. Note that SQL Server 2008 express runtime is supported on Windows 2008 R2.

Supported versions

Note

Veritas Storage Foundation 6.0.1 is supported for all the supported Microsoft SQL Server versions noted in this section.

The following SQL Server versions are supported for Windows Server 2016 Datacenter Edition, and Windows Server 2012 R2, 2012, 2008 R2 SP1, 2008 R2, 2008 SP2 Enterprise and Standard Editions:

SQL Server versionEditionsInstances

2016 (x64)

2012 R2 (x64)

2012 (x64)2008 R2 SP1 (x64)2008 R2 (x64)2008 SP2 (x64)2008 SP2 (x86)2008 (x64)
2017 (64-bit)

Standard, Developer, Enterprise, Enterprise Core
Datacenter, Business Intelligence

Standalone, Standalone on Clustered, Clustered, AlwaysOn Availability Group

remove

remove

remove






2016 (64-bit)Standard, Developer, Enterprise, Enterprise Core
Datacenter, Business Intelligence

Standalone, Standalone on Clustered, Clustered, AlwaysOn Availability Group

remove

removeremove     
2014 (64-bit)Standard, Developer, Enterprise, Datacenter, Business Intelligence

Standalone, Standalone on Clustered, Clustered AlwaysOn Availability Group

remove

removeremoveremove remove  

2012 (64-bit)

Standard, Developer, Enterprise, Datacenter, Business Intelligence

Standalone, Standalone on Clustered, Clustered AlwaysOn Availability Group

remove

removeremoveremove remove  

2008 R2 (64-bit)

Standard, Developer, Enterprise, DatacenterStandalone, Standalone on Clustered
 remove removeremove  

2008 R2 (32-bit)

Standard, Developer, Enterprise, DatacenterStandalone, Standalone on Clustered
 remove   remove 
2008 (64-bit)Standard, Developer, Enterprise, DatacenterStandalone, Standalone on Clustered
 remove remove  remove
2008 (32-bit)Standard, Developer, Enterprise, DatacenterStandalone, Standalone on Clustered
 remove   remove 

Oracle

The following Oracle versions are supported:

Notes (version 8.9.01 and later)

  • Oracle container database (CDB) and non-CDB database provisioning from Seed is not supported with Oracle 12.2.0.1.

  • Single instance (Restart-enabled) DBMS is supported on Red Hat Enterprise Linux (RHEL) 5, RHEL 6 (64-bit only), Oracle Solaris 10 and 11, and IBM AIX 6.1 and 7.1.
  • (Applicable for SLES 12) For Oracle 11.2.0.4, install the Oracle patch 18370031 as an inline patch. For Oracle 12.1.0.2, install the Oracle patch 18456643 as an inline patch. For more information, see http://ftp.suse.com.


Note

Currently, BDA supports Oracle 18c, Enterprise Edition.


ServerVersionRHEL 4RHEL 5RHEL 6RHEL 7OEL Linux 5Oracle Linux 6Oracle Linux 7SLES 10SLES 11SLES 12

Single Instance

11gR14

   
11gR2removeremove

remove

removeremoveremove

remove

12.1.0.1

remove
(64-bit only)

remove
(64-bit only)


remove



remove


12.1.0.2

remove
(64-bit only)

remove
(64-bit only)

remove

remove

remove


remove

remove

12.2.0.1  removeremove 

remove

remove

  remove
18c13





Single Instance (VCS)11gR14   
11gR2removeremoveremoveremoveremoveremove

remove

12.1.0.1

remove
(64-bit only)

remove
(64-bit only)


remove


 

remove


12.1.0.2

remove
(64-bit only)

remove
(64-bit only)

remove

remove

remove

 

remove

remove

12.2.0.1  removeremove removeremove  remove

Single Instance (Restart-enabled)

11gR14          
11gR2removeremoveremoveremoveremoveremove

remove

12.1.0.1

remove
(64-bit only)

remove
(64-bit only)


remove


 

remove


12.1.0.2

remove
(64-bit only)

remove
(64-bit only)

remove

remove

remove

 

remove

remove

12.2.0.1  removeremove 

remove

remove

  remove
18c13









RAC (CRS)11gR14       
11gR2removeremoveremoveremoveremoveremove

remove

12.1.0.1

remove
(64-bit only)

remove
(64-bit only)


remove
 remove
12.1.0.2

remove
(64-bit only)

remove
(64-bit only)

removeremoveremove remove

remove

12.2.0.1  removeremove 

remove

remove

  remove
18c13





PDBs
 
12.1.0.1

remove
(64-bit only)

remove
(64-bit only)


remove



remove


12.1.0.2

remove
(64-bit only)

remove
(64-bit only)

remove

remove

remove


remove

remove

12.2.0.1  removeremove 

remove

remove

  remove
18c13









4 Discontinued support from BDA version 8.9.02

12 Support introduced in BDA version 8.9.03 Patch 2. This support is limited only to provisioning and patching.

13 Upgrade Opatch is not supported

ServerVersionWindows 2008Windows 2008 R2Windows 2012Windows Server 2012 R2Windows Server 2016

Single Instance

11gR16

remove6
(no patching)

   
11gR2removeremove  
12.1.0.1




12.1.0.2




12.2.0.1   

remove2
(64-bit only)

remove3
(64-bit only)

18c

remove14
(64-bit only)

remove14
(64-bit only)

remove14
(64-bit only)

Single Instance (VCS)11gR16    
11gR2    
12.1.0.1




12.1.0.2




12.2.0.1   



18c




Single Instance (Restart-enabled)

11gR16    
11gR2    
12.1.0.1




12.1.0.2




12.2.0.1   


18c




RAC (CRS)11gR16    
11gR2    
12.1.0.1




12.1.0.2




12.2.0.1   


18c




PDBs
 
12.1.0.1




12.1.0.2




12.2.0.1    
18c




2 Support introduced in BDA version 8.9.02

3Support introduced in BDA version 8.9.03

6 Discontinued support from BDA version 8.9.02

14 Support introduced in BDA version 8.9.03 Patch 3

ServerVersionSolaris 9Solaris 10Solaris 11HP-UX
11.23
HP-
UX
11.31
HP-
UX PARISC
AIX
6.1

AIX
7.1

AIX
7.2

Single Instance

11gR17

    
11gR2 removeremove removeremoveremoveremove 
12.1.0.1
remove

remove


remove
(Itanium only,
no patching)


remove


12.1.0.2

remove

remove


remove
(Itanium only,
no patching)


remove

remove

12.2.0.1    

 remove7

 remove


Single Instance (VCS)11gR17    

remove7
(no patching)

  
11gR2 removeremove  remove

remove7
(no patching)

remove
(no patching)

remove

12.1.0.1

remove

remove




remove


12.1.0.2
removeremove


remove

remove

12.2.0.1 



   

 remove7

 remove

Single Instance (Restart-enabled)

11gR17         
11gR2 removeremove
(no patching)
  removeremove

remove

12.1.0.1
remove

remove




remove


12.1.0.2

remove

remove




remove
12.2.0.1 

   

 remove7

 remove

RAC (CRS)11gR17        
11gR2 removeremove  remove  
12.1.0.1
removeremove


remove


12.1.0.2
removeremove


remove


12.2.0.1      

 remove7

 remove

PDBs
 
12.1.0.1



remove
(Itanium only)


remove


12.1.0.2



remove
(Itanium only)


remove

12.2.0.1 removeremove   

 remove7

 remove

8 Support introduced in BDA version 8.9.02

3Support introduced in BDA version 8.9.03

7 Discontinued support from BDA version 8.9.02

5 Oracle pluggable database (PDB) 12.1.0.2 with only single instance DBMS is supported on AIX 7.2 for BMC Database Automation.

Beginning with version 8.7.00, BDA is certified for use on Oracle Exadata systems.

The following versions are supported:

  • Oracle 11.2 and 12.1 using Oracle Enterprise Linux (OEL) 5.10 or 6.7 on X3-2 and X4-2 Exadata systems

The following use cases are supported:

  • Provisioning operations
    • Create database
    • Remove database
    • Add instance
    • Remove instance
  • Management operations
    • Stop/start instance
    • Start instance
    • Apply/rollback patch (DB patches only)
    • Run action (script and SQL)
  • Miscellaneous operations
    • Reports

SAP Adaptive Server Enterprise (ASE) Dataserver

The following versions of SAP ASE dataserver are supported:

ASE versionRHEL 5RHEL 6RHEL 7IBM AIX 6.1IBM AIX 7.1Solaris 10 (SPARC)
16.0removeremove

remove

removeremove

15.7.0

removeremoveremoveremoveremove

15.5.0

removeremove removeremove

15.0.3

removeremove removeremove
15.0.29removeremove   remove
12.5.49remove    remove

9 Discontinued support from BDA version 8.9.02

SAP Replication Server

The following versions of SAP Replication Server are supported:

Repserver versionRHEL 5RHEL 6RHEL 7IBM AIX 6.1IBM AIX 7.1Solaris 10 (SPARC)
16.011

remove

remove




15.7.1remove

remove

remove

removeremove

15.7.0

removeremoveremoveremoveremove

15.6.0

removeremove removeremove

15.5.0

removeremove remove 

10Discontinued support from version 8.9.02

11Support introduced in BDA version 8.9.03

Was this page helpful? Yes No Submitting... Thank you

Comments